Subject: [PATCH v6 0/4] Tegra124 soctherm driver

From: [email-masked] (Thierry Reding)
Date: Fri, 26 Sep 2014 14:05:48 +0200

On Fri, Sep 26, 2014 at 03:00:11PM +0300, Mikko Perttunen wrote:
> On 09/26/2014 02:48 PM, Thierry Reding wrote:
> >On Fri, Sep 26, 2014 at 01:22:52PM +0300, Mikko Perttunen wrote:
> >>On 09/26/2014 01:19 PM, Thierry Reding wrote:
> >>>On Fri, Sep 26, 2014 at 12:43:09PM +0300, Mikko Perttunen wrote:
> >>>>Hi,
> >>>>
> >>>>this series adds support for the thermal monitoring features of the
> >>>>soctherm unit on the Tegra124 SoC.
> >>>>
> >>>>The branch is also available in my github repo,
> >>>>   git://github.com/cyndis/linux.git soctherm-v6
> >>>>
> >>>>Thanks,
> >>>>Mikko
> >>>>
> >>>>Mikko Perttunen (4):
> >>>>   of: Add bindings for nvidia,tegra124-soctherm
> >>>>   ARM: tegra: Add soctherm and thermal zones to Tegra124 device tree
> >>>>   ARM: tegra: Add thermal trip points for Jetson TK1
> >>>>   thermal: Add Tegra SOCTHERM thermal management driver
> >>>>
> >>>>  .../devicetree/bindings/thermal/tegra-soctherm.txt |  53 +++
> >>>>  arch/arm/boot/dts/tegra124-jetson-tk1.dts          |  44 ++
> >>>>  arch/arm/boot/dts/tegra124.dtsi                    |  47 ++
> >>>>  drivers/thermal/Kconfig                            |  10 +
> >>>>  drivers/thermal/Makefile                           |   1 +
> >>>>  drivers/thermal/tegra_soctherm.c                   | 471 +++++++++++++++++++++
> >>>>  include/dt-bindings/thermal/tegra124-soctherm.h    |  13 +
> >>>>  7 files changed, 639 insertions(+)
> >>>>  create mode 100644 Documentation/devicetree/bindings/thermal/tegra-soctherm.txt
> >>>>  create mode 100644 drivers/thermal/tegra_soctherm.c
> >>>>  create mode 100644 include/dt-bindings/thermal/tegra124-soctherm.h
> >>>
> >>>One thing that I've wanted to start doing for a while now is request
> >>>patch submissions like this to come accompanied with a way on how to
> >>>test them. Ideally this would be in a scripted way that can test for
> >>>success programatically, but it doesn't necessarily have to be if it
> >>>turns out too difficult or impractical to do.
> >>
> >>Indeed, that would be very useful.
> >>
> >>>
> >>>The goal is to eventually come up with a test suite that can run the
> >>>majority of test cases automatically to make it easy to test for any
> >>>regressions. And even if tests can't be run automatically it'd still
> >>>be an advantage to have them all collected in some repository, since
> >>>it saves a lot of typing and time to run tests, and it will give us
> >>>a standard set of tests that everybody can verify changes against.
> >>>
> >>>I realize that it's somewhat unfair to start requesting this from you
> >>>now, but we've got to start somewhere. Could you give a short summary
> >>>of how you test this? What are the interfaces that the kernel exposes
> >>>for these thermal drivers?
> >>
> >>You need to enable the driver in Device Drivers -> Generic Thermal sysfs
> >>driver -> Tegra SOCTHERM thermal management. Then, you should see
> >>directories appear in /sys/class/thermal. You can also use the `tmon' tool
> >>included in the kernel tree to quickly see values; that's what I use for
> >>testing.
> >
> >Okay. So what are expected values for these temperatures? It's going to
> >be pretty much impossible to say what the correct value is on a given
> >board at any time, but perhaps a "test" could consist of checking that
> >all temperatures are within a reasonable range.
> 
> On Jetson TK1, at least without the CL-DVFS series, I get around 32 Celsius.
> If you want to account for cpu/gpufreq then I guess something like 25-70
> would be a good range.

Okay, thanks. Can you remind me how this relates to the thermal tripping
support?

Thierry
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 819 bytes
Desc: not available
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20140926/aa320163/attachment.sig>